CWPresentation Class Reference

the main class to read the text part of Claris Works file More...

`#include <CWPresentation.hxx>`

## Public Member Functions

| CWPresentation (CWParser &parser)
| constructor More...
virtual | ~CWPresentation ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
shared_ptr< CWStruct::DSET > | readPresentationZone (CWStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone presentation DSET More...
std::vector< int > | getSlidesList () const
| returns the list of slide id More...

## Protected Member Functions

bool | sendZone (int number)
| sends the zone data to the listener (if it exists ) More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readZone1 (CWPresentationInternal::Presentation &pres)
| try to read the first presentation zone ( the slide name ? ) More...
bool | readZone2 (CWPresentationInternal::Presentation &pres)
| try to read the second presentation zone ( title ) More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < CWPresentationInternal::State > | m_state
| the state More...
CWParser * | m_mainParser
| the main parser; More...
shared_ptr< CWStyleManager > | m_styleManager
| the style manager More...

## Private Member Functions

| CWPresentation (CWPresentation const &orig)
CWPresentation & | operator= (CWPresentation const &orig)

## Friends

class | CWParser

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

CWPresentation::CWPresentation | ( | CWParser & | parser | ) |

constructor

CWPresentation::~CWPresentation | ( |  | ) |

virtual

destructor

CWPresentation::CWPresentation | ( | CWPresentation const & | orig | ) |

private

## Member Function Documentation

void CWPresentation::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

std::vector< int > CWPresentation::getSlidesList | ( |  | ) | const

returns the list of slide id

int CWPresentation::numPages | ( |  | ) | const

returns the number of pages

CWPresentation& CWPresentation::operator= | ( | CWPresentation const & | orig | ) |

private

shared_ptr< CWStruct::DSET > CWPresentation::readPresentationZone | ( | CWStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone presentation DSET

bool CWPresentation::readZone1 | ( | CWPresentationInternal::Presentation & | pres | ) |

protected

try to read the first presentation zone ( the slide name ? )

bool CWPresentation::readZone2 | ( | CWPresentationInternal::Presentation & | pres | ) |

protected

try to read the second presentation zone ( title )

bool CWPresentation::sendZone | ( | int | number | ) |

protected

sends the zone data to the listener (if it exists )

Referenced by flushExtra().

int CWPresentation::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class CWParser

friend

## Member Data Documentation

CWParser* CWPresentation::m_mainParser

protected

the main parser;

Referenced by numPages(), and sendZone().

MWAWParserStatePtr CWPresentation::m_parserState

protected

the parser state

Referenced by flushExtra(), readZone1(), readZone2(), sendZone(), and version().

shared_ptr<CWPresentationInternal::State> CWPresentation::m_state

protected

the state

Referenced by flushExtra(), getSlidesList(), numPages(), and sendZone().

shared_ptr<CWStyleManager> CWPresentation::m_styleManager

protected

the style manager

The documentation for this class was generated from the following files:

- CWPresentation.hxx
- CWPresentation.cxx